from django.shortcuts import render
from django.views import View
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView

from .models import Author, Book

# Create your views here.

def home(request):
    return render(request, 'bookshelf/home.html')

class BookDetailView(DetailView):
    model = Book
    
class AuthorDetailView(DetailView):
    model = Author
    
    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['book_list'] = Book.objects.filter(author=self.object)
        return context

class BookListView(ListView):
    model = Book
    
class AuthorListView(ListView):
    model = Author
